Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.security.acl
Class BasePrincipal

    java.lang.Object
      de.jsystems.framework.security.acl.BasePrincipal

All Implemented Interfaces:
  Principal

public class BasePrincipal
extends Object
implements Principal

Beispielimplementierung des Interfaces Principal. Ein Principal ist die abstrakte Abbildung eines Objektes, dem ueber ACLs Rechte zugeordnet oder entzogen werden koennen. Ein Principal ist also ein Benutzer in einem System oder auch ein System selbst in einem Verbund von Systemen (Zum Beispiel ein einzelner Rechner in einem Netzwerk), dem ganz bestimmte Rechte zugeordnet werden sollen. Was im Endeffekt durch das Principalobjekt abgebildet wird, ist immer abhaengig von dem Problem, das mit den ACL geloest werden soll.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`BasePrincipal(String name)` Legt ein neues Principal an mit dem übergebenen Namen.

Method Summary
`boolean` | `equals(Object obj)` Prueft, ob das uebergebene Objekt gleich ist mit diesem Objekt.
`String` | `getName()` Gibt den Namen des Principals zurueck.
`int` | `hashCode()` Gibt den Hashcode des Principals zurueck.
`String` | `toString()` Gibt eine Stringrepraesentation des Principals zurueck.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasePrincipal

    public BasePrincipal(String name)

  Legt ein neues Principal an mit dem übergebenen Namen.

Parameters:
  `name` - Der Name für dieses Principal.

Method Detail

### equals

    public boolean equals(Object obj)

  Prueft, ob das uebergebene Objekt gleich ist mit diesem Objekt. Beide Objekte sind dann gleich, wenn das uebergebene Objekt vom Typ BasePrincipal ist und beide den gleichen Namen enthalten.

  Specified by:
    `equals` in interface `Principal`
  Parameters:
    `obj` - Das Objekt, das auf Gleichheit mit diesem Objekt geprueft werden soll.
  Returns:
    `true`, wenn das uebergebene Pbjekt vom Typ BasePrncipal ist und den gleichen Namen enthaelt wie dieses Objekt, ansonsten `false`.

### toString

    public String toString()

  Gibt eine Stringrepraesentation des Principals zurueck. Hier wird der Name des Principals zurueckgegeben.

  Specified by:
    `toString` in interface `Principal`
  Returns:
    Der Name des Principals.

### hashCode

    public int hashCode()

  Gibt den Hashcode des Principals zurueck. Hier wird der Hashcode des Strings fuer den Namen des Principals zurueckgegeben.

  Specified by:
    `hashCode` in interface `Principal`
  Returns:
    der Hashcode des Principals.

### getName

    public String getName()

  Gibt den Namen des Principals zurueck.

  Specified by:
    `getName` in interface `Principal`
  Returns:
    Der Name des Principals.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD